# UniTAP.common.timing

class Timing:

Class `Timing` contains information about Timing: all resolutions, timing id, frame rate, `AspectRatio`, `Standard`, `ReduceBlanking`.

frame_rate
hactive
vactive
htotal
vtotal
hstart
vstart
hswidth
vswidth
id
aspect_ratio
standard
reduce_blanking
def is_valid(self) -> bool:

Check that timing is correct (Resolutions and frame rate more than 0)

###### Returns:

> is valid (bool) - valid (True) or not (False)

pixel_clock: float

Returns calculated pixel clock required for this video mode in MHz. 0.0 if video mode is not valid.

###### Returns:

> pixel clock (float)

class Timing.Standard(enum.IntEnum):

Class `Standard` contains all possible variants of timing standards.

SD_NONE = <Standard.SD_NONE: 0>
SD_CVT = <Standard.SD_CVT: 1>
SD_DMT = <Standard.SD_DMT: 2>
SD_CTA = <Standard.SD_CTA: 3>
SD_UGF = <Standard.SD_UGF: 4>
SD_OVT = <Standard.SD_OVT: 5>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Timing.AspectRatio(enum.IntEnum):

Class `AspectRatio` contains all possible variants of timing aspect ratio.

AR_NONE = <AspectRatio.AR_NONE: 0>
AR_4_3 = <AspectRatio.AR_4_3: 1>
AR_16_9 = <AspectRatio.AR_16_9: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Timing.ReduceBlanking(enum.IntEnum):

Class `ReduceBlanking` contains all possible variants of timing reduce blanking.

RB_NONE = <ReduceBlanking.RB_NONE: 0>
RB1 = <ReduceBlanking.RB1: 1>
RB2 = <ReduceBlanking.RB2: 2>
RB3 = <ReduceBlanking.RB3: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator